Coolify logoCoolify
PATCH
/security/keys

Update a private key.

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name?string
description?string
private_key*string

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://app.coolify.io/api/v1/security/keys" \  -H "Content-Type: application/json" \  -d '{    "private_key": "string"  }'
{  "uuid": "string"}
{  "message": "Invalid token."}
{  "message": "Unauthenticated."}
{  "message": "Validation error.",  "errors": {    "name": [      "The name field is required."    ],    "api_url": [      "The api url field is required.",      "The api url format is invalid."    ]  }}